Bug 115662 - Monitor handling
Monitor handling
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-14 09:30 EST by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 16:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-02-14 09:30:10 EST
Anaconda still uses 800x600 for "unknown monitor", although some video
card drivers in X do correctly then cut it down to 640x480. With no
known monitor data and autodetection it should be using 640x480@60Hz.
Anything else is unsafe.
Comment 1 Gabriel Friedmann 2004-02-16 02:07:11 EST
This default is definitely detrimental to laptop users.  

post-installation also allows the user to set colour depth and default
resolution (boot after removing install CD).  When i chose 1400x1050,
it was not added to the XF86Config file.
Comment 2 Gabriel Friedmann 2004-02-16 02:41:49 EST
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=115501 is the bug
i referred to.
Comment 3 Jeremy Katz 2004-02-17 19:44:54 EST
We default to 800x600 like we have for _years_ now Alan.  'linux
lowres' exists for people trying to use ancient hardware.
Comment 4 Alan Cox 2004-02-17 21:00:13 EST
And I've been reporting this as a bug for years too. It doesnt alter
the fact that the 800x600 default for an unknown monitor is not merely
wrong, its capable of physically destroying the system.

Ask Mike Harris about vga timing and probing assumptions if you doubt
me, or have a look at how the ATI drivers and/or windows default.

If you get a DDC probe for the display, then great use 800x600, if you
get no DDC its not safe
Comment 5 Gabriel Friedmann 2004-02-18 03:36:58 EST
My non-ancient Dell Inspiron 600m LCD display (april 2003) does not
seem to report timings to ddcprobe.  It returns a display name, but
not horizontal/vertical freq.  With the ATI xfree driver, i must
CTRL-ALT-+ my way to 640x480 to continue installation with xfree. 
This is definitely not a command sequence a typical new linux user
would be aware of.

Without changing resolution, a blank screen is all that is presented.

Comment 6 Jeremy Katz 2005-09-21 16:45:02 EDT
We're not changing from this.

Note You need to log in before you can comment on or make changes to this bug.